Bug 247394 - databases/mongodb36: Update to 3.6.18
Summary: databases/mongodb36: Update to 3.6.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Kurt Jaeger
URL: https://docs.mongodb.com/manual/relea...
Keywords: easy, patch, security
Depends on:
Blocks: 238684
  Show dependency treegraph
 
Reported: 2020-06-18 21:01 UTC by Ronald Klop
Modified: 2020-06-29 18:21 UTC (History)
4 users (show)

See Also:
dev: maintainer-feedback+
pi: merge-quarterly+


Attachments
trivial update to 3.6.18 (svn diff) (1.40 KB, patch)
2020-06-18 21:01 UTC, Ronald Klop
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2020-06-18 21:01:30 UTC
Created attachment 215753 [details]
trivial update to 3.6.18 (svn diff)

pretty trivial version update

- fixes a CVE-2020-7921 (See SERVER-45472 <https://jira.mongodb.org/browse/SERVER-45472>)
- portlint ok
- build tested on 12.1/aarch64
Comment 1 Ronald Klop 2020-06-18 21:03:02 UTC
see bug #247392 for update to vuxml
Comment 2 dev 2020-06-18 21:04:43 UTC
Thanks Ronald!
Comment 3 Fernando Apesteguía freebsd_committer 2020-06-19 06:03:31 UTC
^Triage: Security release, MFH
Comment 4 Kurt Jaeger freebsd_committer 2020-06-29 16:52:30 UTC
testbuilds@work
Comment 5 commit-hook freebsd_committer 2020-06-29 18:02:59 UTC
A commit references this bug:

Author: pi
Date: Mon Jun 29 18:02:26 UTC 2020
New revision: 540820
URL: https://svnweb.freebsd.org/changeset/ports/540820

Log:
  databases/mongodb36: update 3.6.17 -> 3.6.18

  PR:		247394
  Submitted by:	Ronald Klop <ronald-lists@klop.ws>
  Approved by:	dev@dudu.ro (maintainer)
  MFH:		2020Q2
  Relnotes:	https://docs.mongodb.com/manual/release-notes/3.6/#may-1-2020
  Security:	CVE-2020-7921

Changes:
  head/databases/mongodb36/Makefile
  head/databases/mongodb36/distinfo
Comment 6 Kurt Jaeger freebsd_committer 2020-06-29 18:03:16 UTC
Committed, thanks!
Comment 7 Kurt Jaeger freebsd_committer 2020-06-29 18:20:58 UTC
mfh done
Comment 8 commit-hook freebsd_committer 2020-06-29 18:21:06 UTC
A commit references this bug:

Author: pi
Date: Mon Jun 29 18:20:35 UTC 2020
New revision: 540823
URL: https://svnweb.freebsd.org/changeset/ports/540823

Log:
  MFH: r540820

  databases/mongodb36: update 3.6.17 -> 3.6.18

  PR:		247394
  Submitted by:	Ronald Klop <ronald-lists@klop.ws>
  Approved by:	dev@dudu.ro (maintainer)
  Relnotes:	https://docs.mongodb.com/manual/release-notes/3.6/#may-1-2020
  Security:	CVE-2020-7921
  Approved by:	portmgr (security fix blanket)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/databases/mongodb36/Makefile
  branches/2020Q2/databases/mongodb36/distinfo